## clonezilla-live-src-20160203-xenial-i386.ubuntu.tar

=== src/testdir/Makefile ===
#
# Makefile to run all tests for Vim
#

VIMPROG = ../vim
SCRIPTSOURCE = ../../runtime

# Uncomment this line to use valgrind for memory leaks and extra warnings.
#   The output goes into a file "valgrind.testN"
#   Vim should be compiled with EXITFREE to avoid false warnings.
#   This will make testing about 10 times as slow.
# VALGRIND = valgrind --tool=memcheck --leak-check=yes --num-callers=15 --log-file=valgrind.$*


SCRIPTS = test1.out test2.out test3.out test4.out test5.out test6.out \
		test7.out test8.out test9.out test10.out test11.out \
		test12.out test13.out test14.out test15.out test17.out \
		test18.out test19.out test20.out test21.out test22.out \
		test23.out test24.out test25.out test26.out test27.out \
		test28.out test29.out test30.out test31.out test32.out \
		test33.out test34.out test35.out test36.out test37.out \
		test38.out test39.out test40.out test41.out test42.out \
		test43.out test44.out test45.out test46.out test47.out \
		test48.out test49.out test51.out test52.out test53.out \
		test54.out test55.out test56.out test57.out test58.out \
		test59.out test60.out test61.out test62.out test63.out \
		test64.out test65.out test66.out test67.out test68.out \
		test69.out test70.out test71.out test72.out test73.out \
		test74.out test75.out test76.out test77.out test78.out \
		test79.out test80.out test81.out test82.out test83.out \
		test84.out test85.out test86.out test87.out test88.out \
		test89.out test90.out test91.out test92.out test93.out \
		test94.out test95.out test96.out test97.out test98.out \
		test99.out test100.out test101.out test102.out test103.out \
		test104.out test105.out test106.out test107.out \
		test_argument_0count.out \
		test_argument_count.out \
		test_autocmd_option.out \
		test_autoformat_join.out \
		test_breakindent.out \
		test_changelist.out \
		test_charsearch.out \
		test_close_count.out \
		test_command_count.out \
		test_erasebackword.out \
		test_eval.out \
		test_fixeol.out \
		test_increment.out \
		test_insertcount.out \
		test_listchars.out \
		test_listlbr.out \
		test_listlbr_utf8.out \
		test_mapping.out \
		test_marks.out \
		test_match_conceal.out \
		test_nested_function.out \
		test_options.out \
		test_perl.out \
		test_qf_title.out \
		test_ruby.out \
		test_search_mbyte.out \
		test_set.out \
		test_signs.out \
		test_textobjects.out \
		test_utf8.out

SCRIPTS_GUI = test16.out

SCRIPTS_BENCH = bench_re_freeze.out

.SUFFIXES: .in .out

nongui:	nolog $(SCRIPTS) report

gui:	nolog $(SCRIPTS) $(SCRIPTS_GUI) report

benchmark: $(SCRIPTS_BENCH)

report:
	@echo
	@echo 'Test results:'
	@/bin/sh -c "if test -f test.log; \
		then cat test.log; echo TEST FAILURE; exit 1; \
		else echo ALL DONE; \
		fi"

$(SCRIPTS) $(SCRIPTS_GUI): $(VIMPROG)

RM_ON_RUN = test.out X* viminfo
RM_ON_START = tiny.vim small.vim mbyte.vim mzscheme.vim lua.vim test.ok benchmark.out
RUN_VIM = VIMRUNTIME=$(SCRIPTSOURCE); export VIMRUNTIME; $(VALGRIND) $(VIMPROG) -u unix.vim -U NONE --noplugin -s dotest.in

clean:
	-rm -rf *.out *.failed *.rej *.orig test.log $(RM_ON_RUN) $(RM_ON_START) valgrind.*

test1.out: test1.in
	-rm -rf $*.failed $(RM_ON_RUN) $(RM_ON_START) wrongtermsize
	$(RUN_VIM) $*.in
	@/bin/sh -c "if test -f wrongtermsize; \
		then echo; \
		echo test1 FAILED - terminal size must be 80x24 or larger; \
		echo; exit 1; \
		elif diff test.out $*.ok; \
		then mv -f test.out $*.out; \
		else echo; \
		echo test1 FAILED - Something basic is wrong; \
		echo; exit 1; fi"
	-rm -rf X* viminfo

.in.out:
	-rm -rf $*.failed test.ok $(RM_ON_RUN)
	cp $*.ok test.ok
	# Sleep a moment to avoid that the xterm title is messed up.
	# 200 msec is sufficient, but only modern sleep supports a fraction of
	# a second, fall back to a second if it fails.
	@-/bin/sh -c "sleep .2 > /dev/null 2>&1 || sleep 1"
	-$(RUN_VIM) $*.in

	# For flaky tests retry one time.
	@/bin/sh -c "if test -f test.out -a $* = test61; then \
		  if diff test.out $*.ok; \
		  then echo flaky test ok first time; \
		  else rm -rf $*.failed $(RM_ON_RUN); \
			$(RUN_VIM) $*.in; \
		  fi \
		fi"

	# Check if the test.out file matches test.ok.
	@/bin/sh -c "if test -f test.out; then \
		  if diff test.out $*.ok; \
		  then mv -f test.out $*.out; \
		  else echo $* FAILED >>test.log; mv -f test.out $*.failed; \
		  fi \
		else echo $* NO OUTPUT >>test.log; \
		fi"
	@/bin/sh -c "if test -f valgrind; then\
		  mv -f valgrind valgrind.$*; \
		fi"
	-rm -rf X* test.ok viminfo

test49.out: test49.vim

test60.out: test60.vim

bench_re_freeze.out: bench_re_freeze.vim
	-rm -rf benchmark.out $(RM_ON_RUN)
	# Sleep a moment to avoid that the xterm title is messed up.
	# 200 msec is sufficient, but only modern sleep supports a fraction of
	# a second, fall back to a second if it fails.
	@-/bin/sh -c "sleep .2 > /dev/null 2>&1 || sleep 1"
	-$(RUN_VIM) $*.in
	@/bin/sh -c "if test -f benchmark.out; then cat benchmark.out; fi"

nolog:
	-rm -f test.log

=== changelog ===
glibc (2.21-0ubuntu5) xenial; urgency=medium

  * debian/patches/any/cvs-selinux-nscd.diff: Fix build with selinux.
  * debian/control.in/libc: Remove a Breaks on s390x against a binary
    NMU version of check that will never exist in the Ubuntu archive.
  * debian/control: Regenerate for the above s390x-vs-binNMU changes.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 03 Dec 2015 13:24:51 -0700

glibc (2.21-0ubuntu4) vivid; urgency=medium

  * debian/patches/arm/local-arm-futex.diff: Lie about the minimum
    kernel support for futex_atomic_cmpxchg_inatomic to restore the
    previous state and make pulsesink happier on ARM (LP: #1436162)
  * debian/debhelper.in/libc.preinst: Wipe ld.so.cache on upgrades.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Mar 2015 14:31:51 -0600

glibc (2.21-0ubuntu3) vivid; urgency=medium

  * debian/patches/ubuntu/local-warn-bsd-source.diff: Don't warn on
    _BSD_SOURCE || _SVID_SOURCE, so we don't have to fix everything
    that might define them and build with -Werror, drop post-vivid.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 23 Mar 2015 09:01:43 -0600

glibc (2.21-0ubuntu2) vivid; urgency=medium

  * debian/patches/powerpc/cvs-ppc-sqrt.diff: Fix sqrt() on powerpc.
  * debian/patches/powerpc/cvs-ppc-sqrtf.diff: Likewise for sqrtf().
  * debian/patches/powerpc/cvs-ppc-pow.diff: Likewise for pow().
  * debian/patches/powerpc/cvs-ppc-feraiseexcept.diff: Fix inline
    feraiseexcept and feclearexcept macro input conversion on PPC.
  * debian/patches/any/submitted-longdouble.diff: Refresh for above.
  * debian/patches/any/local-disable-test-tgmath2.diff: Likewise.
  * debian/patches/any/cvs-logbl-accuracy.diff: Fix ldbl-128ibm logbl.
  * debian/patches/powerpc/local-math-logb.diff: Refresh and move to
    debian/patches/any/local-math-logb.diff, as it's not PPC-specific.
  * debian/patches/any/cvs-localplt-new-readelf.diff: Preemptively
    fix localplt test breakage with binutils 2.26 before it lands.
  * debian/patches/any/cvs-make-typo.diff: Fix typo in elf/Makefile.
  * debian/patches/powerpc/cvs-power7-strncpy.diff: Optimize strncpy
    for POWER7 drastically (10-70%) on strings longer than 16 chars.
  * debian/patches/powerpc/cvs-ppc-tabort-le.diff: Fix TABORT encoding
    when building on toolchains without HTM support (no-op on gcc-4.9)
  * debian/patches/arm/cvs-arm-sfi_breg.diff: Fix LDR_GLOBAL macro.
  * debian/patches/arm/cvs-memcpy-memmove-always-bx.diff: Fix memcpy
    and memmove for the ARM_ALWAYS_BX class of hardware like ArmadaXP.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Mar 2015 15:19:40 -0600

glibc (2.21-0ubuntu1) vivid; urgency=medium

  * Merge with 2.21 from experimental (LP: #1425623), remaining changes:
    - Drop the Breaks line from libc which refers to a Debian transition.
    - Remove the libc6 recommends on libc6-i686, which we don't build.
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Ship update-locale and validlocale in /usr/sbin in libc-bin.
    - Don't build locales or locales-all in Ubuntu, we rely on langpacks.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386/i686 flavour with -mno-tls-direct-seg-refs.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Force tuning POWER7 builds to POWER8, as POWER7 is just a stopgap.
  * debian/patches/ubuntu/lddebug-scopes.diff: Disable tst-dl-iter-static.
  * debian/patches/ubuntu/submitted-no-stack-backtrace.diff: Fix missing
    include leading to FTBFS with -Werror=implicit-function-declaration.
  * debian/testsuite-checking/compare.sh: Turn testsuite failures back on.
  * debian/sysdeps/linux.mk: Also symlink sys/sdt-config.h (LP: #1418239)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 16 Mar 2015 10:25:48 -0600

glibc (2.21-0experimental0) experimental; urgency=medium

  * New upstream release: version 2.21, with git updates up to 2015-02-10:
    - debian/patches/git-updates.diff: Updated.
    - debian/patches/all/submitted-po-fr-fixes.diff: Rebased.
    - debian/patches/alpha/cvs-__pointer_chk_guard.diff: Merged.
    - debian/patches/alpha/cvs-unwind-backtrace.diff: Merged.
    - debian/patches/alpha/local-gcc4.1.diff: Rebased.
    - debian/patches/alpha/local-lowlevellock.diff: Dropped.
    - debian/patches/alpha/local-string-functions.diff: Rebased.
    - debian/patches/alpha/submitted-PTR_MANGLE.diff: Rebased.
    - debian/patches/alpha/submitted-dl-support.diff: Rebased.
    - debian/patches/alpha/submitted-lll_futex_timed_wait_bitset.diff: Dropped.
    - debian/patches/alpha/submitted-rtld-fPIC.diff: Rebased.
    - debian/patches/amd64/cvs-slow-sse42.diff: Merged.
    - debian/patches/amd64/local-blacklist-on-TSX-Haswell.diff: Rebased.
    - debian/patches/amd64/submitted-rwlock-stack-imbalance.diff: Dropped.
    - debian/patches/any/cvs-check_pf-infinite-loop.diff: Merged.
    - debian/patches/any/cvs-getnetbyname.diff: Merged.
    - debian/patches/any/cvs-regex-alloca.diff: Merged.
    - debian/patches/any/cvs-resolv-first-query-failure.diff: Merged.
    - debian/patches/any/cvs-socketcall-syscall.diff: Merged.
    - debian/patches/any/cvs-strtod.diff: Merged.
    - debian/patches/any/cvs-vfprintf.diff: Merged.
    - debian/patches/any/cvs-wordexp.diff: Merged.
    - debian/patches/any/cvs-wprintf.diff: Merged.
    - debian/patches/any/cvs-wscanf.diff: Merged.
    - debian/patches/any/local-disable-libnss-db.diff: Rebased.
    - debian/patches/any/local-disable-test-tgmath2.diff: Rebased.
    - debian/patches/any/local-libgcc-compat-ports.diff: Rebased.
    - debian/patches/any/local-libpic.diff: Rebased.
    - debian/patches/any/local-no-SOCK_NONBLOCK.diff: Rebased.
    - debian/patches/any/local-no-pagesize.diff: Rebased.


=== debian/changelog ===
apt (1.1.10) unstable; urgency=medium

  [ David Kalnischkies ]
  * deal with empty values properly in deb822 parser (Closes: 808102)

  [ Beatrice Torracca ]
  * fix 3 typos/omissions in apt.conf(5) (Closes: 809160)

  [ Julian Andres Klode ]
  * BufferedWriter: flushing: Check for written < size instead of <=
  * aptconfiguration: Set default compression level to 6
  * BufferedFileFdPrivate: Make InternalFlush() save against errors
  * Switch to DJB hashing and use prime number as table size
  * Turn tolower_ascii() and isspace_ascii() into inline functions
  * Fix test case that was broken by switch of hash function
  * pkgTagSection::Scan: Fix read of uninitialized value
  * pkgCacheGenerator: Allow passing down an already created cache
  * Add support for calculating hashes over the entire cache
  * Do not sync the cache file

 -- Julian Andres Klode <jak@debian.org>  Wed, 30 Dec 2015 00:40:53 +0100

apt (1.1.9) unstable; urgency=medium

  Highlights: buffered rred writes and slightly faster cache generation (~10%)

  [ Julian Andres Klode ]
  * Introduce isspace_ascii() for use by parsers
  * Convert most callers of isspace() to isspace_ascii()
  * pkgcachegen: Use std::unordered_map instead of std::map
  * debListParser: ParseDepends: Only query native arch if needed
  * debListParser: Do not validate Description-md5 for correctness twice
  * ParseDepends: Mark branches for build-dep parsing as unlikely
  * rred: Only call pkgInitConfig() in test mode
  * FileFdPrivate: Add getter and setter for fields
  * FildFd: Introduce a Flush() function and call it from Close()
  * FileFd: Add a buffered writing mode
  * rred: Use buffered writes
  * pkgcachegen.h: Hack around unordered_map not existing before C++11
  * doc/acquire-additional-files.txt: Mention apt-helper cat-file

  [ Niels Thykier ]
  * Hex2Digit: Do not use isxdigit()

  [ David Kalnischkies ]
  * allow repositories to forbid arch:all for specific index targets

 -- Julian Andres Klode <jak@debian.org>  Sun, 27 Dec 2015 19:16:36 +0100

apt (1.1.8) unstable; urgency=medium

  * apt-helper: Add a cat-file command for concatening files
  * Change InternalReadLine to always use buffer.read() return value

 -- Julian Andres Klode <jak@debian.org>  Sat, 26 Dec 2015 23:23:02 +0100

apt (1.1.7) unstable; urgency=medium

  The real "speed up rred for uncompressed files" release

  * Use a hardcoded buffer size of 4096 to fix performance
  * rred: Allow passing files as arguments for compressor testing
  * Get rid of memmove() in our read buffering

 -- Julian Andres Klode <jak@debian.org>  Sat, 26 Dec 2015 19:10:14 +0100

apt (1.1.6) unstable; urgency=medium

  Merry Christmas from the APT Team

  [ Pino Toscano ]
  * Fix FileUtlTest.GetTempDir failure when run as root (Closes: #808383)
  * CopyFile: fix BufSize to a sane value (Closes: #808381)
  * CopyFile: avoid failing on EOF on some systems (Closes: #808381)

  [ Julian Andres Klode ]
  * Do nothing in FileFd::Write() if Size is 0 (Closes: #808381)

  [ David Kalnischkies ]
  * avoid evaluating shell in paths used in apt-key
  * avoid triggering gpg2 migration in apt-key
  * follow dpkg and xz and use CRC64 for xz compression
  * parse xz-compression level from configuration
  * implement a buffer system for FileFd::ReadLine (Closes: 808579)
  * ensure we got a lock in clean operation (Closes: 808561)

 -- Julian Andres Klode <jak@debian.org>  Thu, 24 Dec 2015 17:01:49 +0100

apt (1.1.5) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Do not swap required and important in pkgCache::Priority()
    Thanks to Manuel A. Fernandez Montecelo for discovering this
    (Closes: #807523)
  * Convert package names from Packages files to lower case (Closes: #807012)
  * test framework: Correctly generate new paths in noopchroot
  * debian/apt.auto-removal.sh: Adjust -dbg exclusion for multi-arch
  * pkgcache: Make hash arch-independent using fixed size integer
  * test-apt-download-progress: Run the https test multiple times

  [ David Kalnischkies ]
  * update symbols files to 1.1.4 state of affairs
  * parse .diff/Index hashes in reverse order
  * redirect which stderr to /dev/null for consistency (Closes: 807373)
  * show a more descriptive error for weak Release files (Closes: 806459)
  * support regex and co in 'apt-cache policy $pkg' again (Closes: 807870)
  * non-existing directories don't need to be cleaned (Closes: 807477)

  [ Seo Sanghyeon ]
  * fix incorrect Korean translation of "manually" and "automatically"

  [ Andreas Metzler ]
  * mention APT::AutoRemove::{Recommends,Suggests}Important option
    (Closes: 807413)

 -- Julian Andres Klode <jak@debian.org>  Mon, 14 Dec 2015 16:56:11 +0100

apt (1.1.4) unstable; urgency=medium

  [ Julian Andres Klode ]
  * defaults.mak: Set LC_COLLATE=C.UTF-8 for reproducible sort order
  * Avoid overflow when summing up file sizes

  [ David Kalnischkies ]
  * add a apt breaks (apt-utils << 1.1.3) for partial-upgrades (Closes: 806765)
  * require explicit paths to dsc/control as we do for deb files
    (Closes: 806693)
  * use @CHANGEPATH@ as placeholder in changelog URI templates
  * replace "which" with "command -v" for portability.
    Thanks to Mingye Wang for the suggestion. (Closes: 807144)
  * replace run-parts with find|sort to avoid debianutils usage
  * part revert, part redo 'which' replacement.
    Thanks to Jakub Wilk for pointing out #747320

  [ Fredrik Fornwall ]
  * apt-helper.cc: include <stdlib.h> for atoi (Closes: 807031)

 -- Julian Andres Klode <jak@debian.org>  Mon, 07 Dec 2015 15:31:31 +0100

apt (1.1.3) unstable; urgency=medium

  [ David Kalnischkies ]
  * use function pointers instead of weak symbols for cmdline parsing
  * accept ../ on the cmdline as start for a deb file as well
  * add apt-utils Depends apt (= ${binary:Version})

  [ Andreas Cadhalpun ]
  * do not override exact targetrelease matches with lesser matches
    (Closes: 746412)



=== package/debian/changelog ===
ncurses6 (6.0+20151024) unstable; urgency=low

  * latest weekly patch

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 24 Oct 2015 09:10:18 -0400

ncurses6 (5.9-20120608) unstable; urgency=low

  * initial release

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 08 Jun 2012 07:54:29 -0400

=== control ===
Source: boost1.58
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), dctrl-tools,
 zlib1g-dev, libbz2-dev, libicu-dev (>= 55), 
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen, 
 dh-python,
 g++ (>= 4:5-0), g++-5 (>= 5.2.1-11),
 python, python-all-dev, 
 python3, python3-all-dev (>= 3.1)
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-boost/boost/
Vcs-Svn: svn://anonscm.debian.org/pkg-boost/boost/
Standards-Version: 3.9.5

Package: libboost1.58-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, libboost1.58-dev (= ${binary:Version})
Conflicts: libboost1.42-dbg, libboost1.46-dbg, libboost1.48-dbg, libboost1.49-dbg, libboost1.50-dbg, libboost1.52-dbg, libboost1.53-dbg, libboost1.54-dbg, libboost1.55-dbg, libboost1.57-dbg
Description: Boost C++ Libraries with debug symbols
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are built with debug symbols. They are useful to debug
 programs which use Boost. These must be used also at build/link time.

Package: libboost1.58-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++-4.8-dev | libstdc++-dev
Suggests: libboost1.58-doc,
 libboost-atomic1.58-dev,
 libboost-chrono1.58-dev,
 libboost-context1.58-dev,
 libboost-coroutine1.58-dev,
 libboost-date-time1.58-dev,
 libboost-exception1.58-dev,
 libboost-filesystem1.58-dev,
 libboost-graph1.58-dev,
 libboost-graph-parallel1.58-dev,
 libboost-iostreams1.58-dev,
 libboost-locale1.58-dev,
 libboost-log1.58-dev,
 libboost-math1.58-dev,
 libboost-mpi1.58-dev,
 libboost-mpi-python1.58-dev,
 libboost-program-options1.58-dev,
 libboost-python1.58-dev,
 libboost-random1.58-dev,
 libboost-regex1.58-dev,
 libboost-serialization1.58-dev,
 libboost-signals1.58-dev,
 libboost-system1.58-dev,
 libboost-test1.58-dev,
 libboost-thread1.58-dev,
 libboost-timer1.58-dev,
 libboost-wave1.58-dev,
 libboost1.58-tools-dev,
 libmpfrc++-dev, libntl-dev
Conflicts: bjam, boost-build, libboost1.42-dev, libboost1.46-dev, libboost1.48-dev, libboost1.49-dev, libboost1.50-dev, libboost1.52-dev, libboost1.53-dev, libboost1.54-dev, libboost1.55-dev, libboost1.57-dev
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers for all Boost libraries.
 .
 Extended precision arithmetic package libmpfrc++-dev or libntl-dev is
 required to use the Boost.Multiprecision wrapping of the respective
 library.
 .
 For the following subprojects separate packages exist: chrono,
 date-time, exception filesystem, graph, iostreams, locale, math, mpi,
 program_options, python, regex, serialization, signals, system, test,
 thread, timer, and wave.

Package: libboost1.58-tools-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.49-dev, libboost1.53-tools-dev, libboost1.54-tools-dev, libboost1.55-tools-dev, libboost1.57-tools-dev
Replaces: bjam, boost-build, libboost1.49-dev, libboost1.53-dev, libboost1.53-tools-dev
Description: Boost C++ Libraries development tools
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the auxiliary tools bjam, Boost.Build, bcp,
 inspect, boostbook and quickbook.

Package: libboost1.58-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libboost1.58-dev (>= ${source:Version})
Conflicts: libboost1.42-doc, libboost1.46-doc, libboost1.48-doc, libboost1.49-doc, libboost1.50-doc, libboost1.52-doc, libboost1.53-doc, libboost1.54-doc, libboost1.55-doc, libboost1.57-doc
Description: Boost.org libraries documentation
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This is documentation for the boost libraries in HTML format.
 Some pages point to header files provided in the corresponding -dev package,
 so it is suggested to install the latter as well.

Package: libboost-atomic1.58.0
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.

Package: libboost-atomic1.58-dev
Homepage: http://www.boost.org/libs/atomic/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.58-dev (= ${binary:Version}),
 libboost-atomic1.58.0 (= ${binary:Version})
Description: atomic data types, operations, and memory ordering constraints
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Atomic is a library that provides atomic data types and
 operations on these data types, as well as memory ordering
 constraints required for coordinating multiple threads through atomic
 variables. It implements the interface as defined by the C++11
 standard, but makes this feature available for platforms lacking
 system/compiler support for this particular C++11 feature.
 .
 Users of this library should already be familiar with concurrency in
 general, as well as elementary concepts such as "mutual exclusion".
 .
 The implementation makes use of processor-specific instructions where
 possible (via inline assembler, platform libraries or compiler
 intrinsics), and falls back to "emulating" atomic operations through
 locking.
Conflicts: libboost-atomic1.53-dev, libboost-atomic1.54-dev, libboost-atomic1.55-dev, libboost-atomic1.57-dev

Package: libboost-chrono1.58.0
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic duration
    class.Examples of time durations include days, minutes, seconds and
    nanoseconds, which can be represented with a fixed number of clock
    ticks per unit. All of these units of time duration are united with
    a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
    represents an epoch plus or minus a duration. The library leaves
    epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a particular
    platform: system_clock, steady_clock and high_resolution_clock. A
    clock is a pairing of a time_point and duration, and a function
    which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
    current process.
  * process_user_cpu_clock, captures user-CPU time spent by the current
    process.
  * process_system_cpu_clock, captures system-CPU time spent by the
    current process.
  * a tuple-like class process_cpu_clock, that captures real, user-CPU,
    and system-CPU process times together.
  * a thread_clock thread steady clock giving the time spent by the
    current thread (when supported by a platform).
 .
 Lastly, Boost.Chrono includes typeof registration for duration and
 time_point to permit using emulated auto with C++03 compilers.

Package: libboost-chrono1.58-dev
Homepage: http://www.boost.org/libs/chrono/
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
 libboost1.58-dev (= ${binary:Version}),
 libboost-chrono1.58.0 (= ${binary:Version})
Conflicts: libboost-chrono1.48-dev, libboost-chrono1.49-dev, libboost-chrono1.50-dev, libboost-chrono1.52-dev, libboost-chrono1.53-dev, libboost-chrono1.54-dev, libboost-chrono1.55-dev, libboost-chrono1.57-dev
Description: C++ representation of time duration, time point, and clocks
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.Chrono library provides:
 .
  * A means to represent time durations: managed by the generic
 duration class . Examples of time durations include days, minutes,
 seconds and nanoseconds, which can be represented with a fixed number
 of clock ticks per unit. All of these units of time duration are
 united with a generic interface by the duration facility.
  * A type for representing points in time: time_point. A time_point
 represents an epoch plus or minus a duration. The library leaves
 epochs unspecified. A time_point is associated with a clock.
  * Several clocks, some of which may not be available on a
 particular platform: system_clock, steady_clock and
 high_resolution_clock. A clock is a pairing of a time_point and
 duration, and a function which returns a time_point representing now.
 .
 To make the timing facilities more generally useful, Boost.Chrono
 provides a number of clocks that are thin wrappers around the
 operating system's time APIs, thereby allowing the extraction of wall
 clock time, user CPU time, system CPU time spent by the process:
 .
  * process_real_cpu_clock, captures wall clock CPU time spent by the
 current process.  
  * process_user_cpu_clock, captures user-CPU time
 spent by the current process.  
  * process_system_cpu_clock, captures

=== debian/control ===
Source: python3-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.17.11),
  lsb-release,
  python3-minimal:any,
  python3.4-minimal:any,
  python3.5-minimal:any,
  python3-docutils,
  debiandoc-sgml
Standards-Version: 3.9.6
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python3-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files

Package: python3
Architecture: any
Multi-Arch: allowed
Pre-Depends: python3-minimal (= ${binary:Version})
Depends: python3.5 (>= 3.5.1-2~), libpython3-stdlib (= ${binary:Version}), ${misc:Depends}, dh-python
Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= 3.5.1-2~) , python3-venv (>= ${binary:Version})
Replaces: python3-minimal (<< 3.1.2-2)
Provides: python3-profiler
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.5).

Package: python3-venv
Architecture: any
Multi-Arch: allowed
Depends: python3.5-venv (>= 3.5.1-2~), python3 (= ${binary:Version}), ${misc:Depends}
Description: pyvenv-3 binary for python3 (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.5).

Package: python3-minimal
Architecture: any
Multi-Arch: allowed
Depends: python3.5-minimal (>= 3.5.1-2~), dpkg (>= 1.13.20), ${misc:Depends}
Breaks: python3 (<< 3.3.2-13~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
Replaces: python3 (<< 3.3.2-13~), python3.1 (<< 3.1-2)
Description: minimal subset of the Python language (default python3 version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python3.5-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python3-examples
Architecture: all
Depends: python3 (>= ${binary:Version}), python3.5-examples (>= 3.5.1-2~), ${misc:Depends}
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.5).

Package: python3-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-dev (= ${binary:Version}), python3.5-dev (>= 3.5.1-2~), ${misc:Depends}
Replaces: python3.1 (<< 3.1.2+20100706-3)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.5).

Package: libpython3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3.5-dev (>= 3.5.1-2~), ${misc:Depends}
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.5).

Package: libpython3-stdlib
Architecture: any
Multi-Arch: same
Depends: libpython3.5-stdlib (>= 3.5.1-2~), ${misc:Depends}
Description: interactive high-level object-oriented language (default python3 version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.5).

Package: idle3
Architecture: all
Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.5
Replaces: python3 (<< 3.2.3-1~)
Breaks: python3 (<< 3.2.3-1~)
Enhances: python3
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.5).

Package: python3-doc
Section: doc
Architecture: all
Depends: python3.5-doc (>= 3.5.1-2~), ${misc:Depends}
Suggests: python3 (>= ${binary:Version}), python3-examples
Description: documentation for the high-level object-oriented language Python 3
 This is the official set of documentation for the interactive high-level
 object-oriented language Python 3 (v3.5). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python 3 version (currently v3.5).

Package: python3-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), libpython3-dbg (= ${binary:Version}), python3.5-dbg (>= 3.5.1-2~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.5)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.5/lib-dynload/debug first.

Package: libpython3-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython3.5-dbg (>= 3.5.1-2~), ${misc:Depends}
Description: debug build of the Python 3 Interpreter (version 3.5)
 Python 3 interpreter configured with --pydebug. Dynamically loaded modules
 are searched in /usr/lib/python3.5/lib-dynload/debug first.

Package: python3-all
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), ${misc:Depends},
 python3.5
Description: package depending on all supported Python 3 runtime versions
 The package currently depends on python3.5, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 runtimes.

Package: python3-all-dev
Architecture: any
Multi-Arch: allowed
Depends: python3 (= ${binary:Version}), libpython3-all-dev (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), ${misc:Depends},
 python3.5-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on python3.5-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: python3-all-dbg
Architecture: any
Multi-Arch: allowed
Section: debug
Priority: extra
Depends: python3 (= ${binary:Version}), libpython3-all-dbg (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), ${misc:Depends},
 python3.5-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on python3.5-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

Package: libpython3-all-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpython3-dev (= ${binary:Version}), ${misc:Depends},
 libpython3.5-dev
Description: package depending on all supported Python 3 development packages
 The package currently depends on libpython3.5-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 development
 packages.

Package: libpython3-all-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libpython3-dbg (= ${binary:Version}), ${misc:Depends},
 libpython3.5-dbg
Description: package depending on all supported Python 3 debugging packages
 The package currently depends on libpython3.5-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is a dependency package used as a build dependency for other
 packages to avoid hardcoded dependencies on specific Python 3 debug packages.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# build in verbose mode by default to make it easy to diangose issues
export NOISY=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export PARALLEL = $(or $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS))),1)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Set the number of procs to be run in parallel from the options.
confflags += --with-procs=$(PARALLEL)

# See below
-include build/environment.mak

ifneq (,$(shell which dpkg-buildflags))
  # make does not export to $(shell) so we need to workaround 
  # (http://savannah.gnu.org/bugs/?10593)
  dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags
  export CXXFLAGS = $(shell $(dpkg_buildflags) --get CXXFLAGS)
  export LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
  export CPPFLAGS = $(shell $(dpkg_buildflags) --get CPPFLAGS)
else
  ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    export CXXFLAGS = -O0 -g -Wall
  else
    export CXXFLAGS = -O2 -g -Wall
  endif
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname --machine) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
include buildlib/libversion.mak

# Determine which library package names to use
LIBAPT_PKG=libapt-pkg$(LIBAPTPKG_MAJOR)
LIBAPT_INST=libapt-inst$(LIBAPTINST_MAJOR)

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

build-binary: build/build-binary-stamp
build-docbook: build/build-docbook-stamp
build-manpages: build/build-manpages-stamp

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.ac
build/configure-stamp: configure buildlib/config.sub buildlib/config.guess
	dh_testdir
	mkdir -p build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" ../configure $(confflags)
	touch $@

build/build-binary-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	# compat symlink for the locale split
	mkdir -p build/usr/share 
	cd build/usr/share && ln -f -s ../../locale .
	# compile and run tests
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	$(MAKE) test
else
	@echo "Tests DISABLED"
endif
	touch $@

build/build-docbook-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) docbook
	touch $@

build/build-manpages-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) manpages
	touch $@

clean:
	dh_testdir
	dh_clean

	[ ! -f Makefile ] || $(MAKE) clean distclean
	rm -rf build
	rm -f debian/$(LIBAPT_PKG).install debian/$(LIBAPT_INST).install \
	      debian/libapt-pkg-dev.install debian/apt.install
	test ! -L buildlib/config.guess || rm -f buildlib/config.guess
	test ! -L buildlib/config.sub || rm -f buildlib/config.sub

debian/%.install: debian/%.install.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

# Build architecture-independent files here.
libapt-pkg-doc: build-docbook
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#
	rm -f $(BLD)/doc/doxygen/html/*.map $(BLD)/doc/doxygen/html/*.md5
	dh_installdocs -p$@ $(BLD)/docs/design* \
			    $(BLD)/docs/dpkg-tech* \
			    $(BLD)/docs/files* \
			    $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt \
			    doc/style.txt \
			    $(BLD)/doc/doxygen/html
	dh_installexamples -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@ -X.xhtml
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-docbook
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text \
			    $(BLD)/docs/guide*.html \
			    $(BLD)/docs/offline*.text \
			    $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

apt_MANPAGES = apt apt-cache apt-cdrom apt-config apt-get apt-key apt-mark apt-secure apt apt.conf apt_preferences sources.list
apt: build-binary build-manpages debian/apt.install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# apt install
#
	cp debian/apt.conf.autoremove debian/$@/etc/apt/apt.conf.d/01autoremove
	cp debian/apt.auto-removal.sh debian/$@/etc/kernel/postinst.d/apt-auto-removal
	chmod 755 debian/$@/etc/kernel/postinst.d/apt-auto-removal
	# install vendor specific apt confs
	find -L vendor/current -name 'apt.conf-*' | while read conf; do cp "$${conf}" "debian/$@/etc/apt/apt.conf.d/$${conf#*-}"; done

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

	dh_install -p$@ --sourcedir=$(BLD)

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS) dump-solver internal-solver)

	# https has its own package
	rm debian/$@/usr/lib/apt/methods/https

	# move the mirror failure script in place
	#mv debian/$@/usr/bin/apt-report-mirror-failure \
	#   debian/$@/usr/lib/apt/apt-report-mirror-failure \

	# move the apt-helper in place
	mv debian/$@/usr/bin/apt-helper debian/$@/usr/lib/apt/apt-helper 

	dh_bugfiles -p$@
	dh_lintian -p$@
	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ $(wildcard $(patsubst %,doc/en/%.[158],$(apt_MANPAGES)) $(patsubst %,doc/*/%.*.[158],$(apt_MANPAGES)))
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_installlogrotate -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@
	dh_installdeb -p$@
	dh_shlibdeps -p$@
	dh_gencontrol -p$@ -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build-binary debian/libapt-pkg-dev.install
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	dh_install -p$@ --sourcedir=$(BLD)
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -- -Vlibapt-pkg-name=$(LIBAPT_PKG) -Vlibapt-inst-name=$(LIBAPT_INST)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils_MANPAGES = apt-sortpkgs apt-ftparchive apt-extracttemplates
apt-utils: build-binary build-manpages
	dh_testdir -p$@
	dh_testroot -p$@
	dh_prep -p$@
	dh_installdirs -p$@

	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
	cp $(BLD)/bin/apt-dump-solver debian/$@/usr/lib/apt/solvers/dump

=== rules ===
#!/usr/bin/make -f

unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES
unexport CFLAGS CXXFLAGS LDFLAGS CPPFLAGS

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

vafilt		= $(subst $(2)=,,$(filter $(2)=%,$(1)))
DPKG_VARS	:= $(shell dpkg-architecture)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_HOST_ARCH_ENDIAN	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_ENDIAN)
DEB_HOST_ARCH_OS	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
	sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE  := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

LAST_CHANGE := $(shell dpkg-parsechangelog -S Date)
export BUILD_DATE := $(shell LC_ALL=C date -u +'%b %e %Y' -d '$(LAST_CHANGE)')
export BUILD_TIME := $(shell LC_ALL=C date -u +'%H:%M:%S' -d '$(LAST_CHANGE)')

SPHINXOPTS := -D today='$(shell LC_ALL=C date -u +'%B %d, %Y' -d '$(LAST_CHANGE)')'
SPHINXOPTS += -D html_last_updated_fmt='$(shell LC_ALL=C date -u +'%B %d, %Y' -d '$(LAST_CHANGE)')'
export SPHINXOPTS

on_buildd := $(shell [ -f /CurrentlyBuilding -o "$$LOGNAME" = buildd -o "$$USER" = buildd ] && echo yes)

dh_compat2 := $(shell dpkg --compare-versions "$$(dpkg-query -f '$${Version}' -W debhelper)" lt 9.20150811ubuntu2 && echo DH_COMPAT=2)

ifneq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
  WITHOUT_CHECK := yes
endif
WITHOUT_BENCH :=
ifneq (,$(findstring nobench, $(DEB_BUILD_OPTIONS)))
  WITHOUT_BENCH := yes
endif
ifeq ($(on_buildd),yes)
  ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa mips mipsel mips64 mips64el s390 hurd-i386 kfreebsd-amd64 kfreebsd-i386))
    WITHOUT_CHECK := yes
  endif
  ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa mips mipsel mips64 mips64el s390 hurd-i386 kfreebsd-amd64 kfreebsd-i386))
    WITHOUT_BENCH := yes
    WITHOUT_STONE := yes
  endif
endif
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  WITHOUT_BENCH := yes
  WITHOUT_CHECK := yes
  WITHOUT_STONE := yes
endif

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

distribution := $(shell lsb_release -is)
distrelease  := $(shell lsb_release -cs)

VER=3.5
SVER=3.5.0~b1
NVER=3.6
PVER=python$(VER)
EXT_VER=$(subst .,,$(VER))
PRIORITY=$(shell echo $(VER) | tr -d '.')0

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)

# default versions are built from the python-defaults source package
# keep the definition to adjust package priorities.
DEFAULT_VERSION = no
STATIC_PYTHON=yes

MIN_MODS := $(shell awk '/^  / && $$2 == "module" { print $$1 }' \
		debian/PVER-minimal.README.Debian.in)
MIN_EXTS := $(shell awk '/^  / && $$2 ~ /^extension/ { print $$1 }' \
		debian/PVER-minimal.README.Debian.in)
MIN_BUILTINS := $(shell awk '/^  / && $$2 == "builtin" { print $$1 }' \
		debian/PVER-minimal.README.Debian.in)
MIN_PACKAGES := $(shell awk '/^  / && $$2 == "package" { print $$1 }' \
		debian/PVER-minimal.README.Debian.in)
MIN_ENCODINGS := $(foreach i, \
			$(filter-out \
			  big5% bz2% cp932.py cp949.py cp950.py euc_% \
			  gb% iso2022% johab.py shift_jis% , \
			  $(shell cd Lib/encodings && echo *.py)), \
			encodings/$(i)) \
		 codecs.py stringprep.py

with_tk := no
with_interp := static
#with_interp := shared

PY_INTERPRETER = /usr/bin/python$(VER)

ifeq ($(DEFAULT_VERSION),yes)
  PY_PRIO = standard
  #PYSTDDEP = , python (>= $(VER))
else
  PY_PRIO = optional
endif
ifeq ($(distribution),Ubuntu)
  PY_MINPRIO = required
  PY_MINPRIO = optional
  with_fpectl = yes
  #with_udeb = yes
else
  PY_MINPRIO = $(PY_PRIO)
  with_fpectl = yes
endif
ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric))
  bd_qual = :any
endif
ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric))
  ma_filter = cat
else
  ma_filter = grep -v '^Multi-Arch:'
endif
ifneq (,$(filter $(distrelease),sid experimental))
  bd_gcc = gcc-5 (>= 5.3.1),
endif
ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_dpkgdev = dpkg-dev (>= 1.17.11),
endif

CC=$(DEB_HOST_GNU_TYPE)-gcc
CXX=$(DEB_HOST_GNU_TYPE)-g++

AR=$(DEB_HOST_GNU_TYPE)-ar
RANLIB=$(DEB_HOST_GNU_TYPE)-ranlib

DPKG_CPPFLAGS:= $(shell dpkg-buildflags --get CPPFLAGS)
DPKG_CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
DPKG_LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
OPT_CFLAGS   := $(filter-out -O%,$(DPKG_CFLAGS)) # default is -O3
DEBUG_CFLAGS := $(patsubst -O%,-Og,$(DPKG_CFLAGS))

# on alpha, use -O2 only, use -mieee
ifeq ($(DEB_HOST_ARCH),alpha)
    OPT_CFLAGS += -mieee
    DEBUG_CFLAGS += -mieee
    EXTRA_OPT_FLAGS += -O2
endif
ifeq ($(DEB_HOST_ARCH),m68k)
    EXTRA_OPT_FLAGS += -O2
endif

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  ifeq ($(DEB_HOST_ARCH_OS),linux)
    ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 powerpc ppc64 ppc64el s390x))
      with_pgo := yes
    endif
  endif
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 powerpc ppc64 ppc64el s390x))
  with_lto := yes
endif

ifeq ($(distribution),Debian)
  # FIXME: https://buildd.debian.org/status/logs.php?pkg=python3.5&ver=3.5.1-1&arch=s390x&suite=sid
  with_lto := $(if $(filter $(DEB_HOST_ARCH), s390x),,$(with_lto))
endif

ifneq (,$(findstring noopt, $(DEB_BUILD_OPTIONS)))
    OPT_CFLAGS := $(filter-out -O%, $(OPT_CFLAGS))
    EXTRA_OPT_CFLAGS = -O0
    with_pgo =
    with_lto =
endif

ifeq ($(with_lto),yes)
    LTO_CFLAGS = -g -flto -fuse-linker-plugin
    with_fat_lto := $(shell dpkg --compare-versions $$($(CC) --version \
			| sed -n '/^$(CC)/s,.* ,,p') ge 4.9 && echo yes)
    ifeq ($(with_fat_lto),yes)
      LTO_CFLAGS += -ffat-lto-objects
    endif
    EXTRA_OPT_CFLAGS += $(LTO_CFLAGS)
    AR=$(DEB_HOST_GNU_TYPE)-gcc-ar
    RANLIB=$(DEB_HOST_GNU_TYPE)-gcc-ranlib
endif

make_build_target = $(if $(with_pgo),profile-opt)

buildd_static	:= $(CURDIR)/build-static
buildd_shared	:= $(CURDIR)/build-shared
buildd_debug	:= $(CURDIR)/build-debug
buildd_shdebug	:= $(CURDIR)/build-shdebug

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

# package names and directories
p_base	:= $(PVER)
p_min	:= $(PVER)-minimal
p_lib	:= lib$(PVER)
p_tk	:= $(PVER)-tk
p_dev	:= $(PVER)-dev
p_exam	:= $(PVER)-examples
p_idle	:= idle-$(PVER)
p_doc	:= $(PVER)-doc
p_dbg	:= $(PVER)-dbg
p_udeb	:= $(PVER)-udeb
p_venv	:= $(PVER)-venv

p_lbase	:= lib$(PVER)-stdlib
p_lmin	:= lib$(PVER)-minimal
p_ldev	:= lib$(PVER)-dev
p_ldbg	:= lib$(PVER)-dbg
p_ltst	:= lib$(PVER)-testsuite

d_base	:= debian/$(p_base)
d_min	:= debian/$(p_min)
d_lib	:= debian/$(p_lib)
d_tk	:= debian/$(p_tk)
d_dev	:= debian/$(p_dev)
d_exam	:= debian/$(p_exam)
d_idle	:= debian/$(p_idle)
d_doc	:= debian/$(p_doc)
d_dbg	:= debian/$(p_dbg)
d_udeb	:= debian/$(p_udeb)
d_venv	:= debian/$(p_venv)

d_lbase	:= debian/$(p_lbase)
d_lmin	:= debian/$(p_lmin)
d_ldev	:= debian/$(p_ldev)
d_ldbg	:= debian/$(p_ldbg)
d_ltst	:= debian/$(p_ltst)

build-arch: stamps/stamp-build
build-indep: stamps/stamp-build-doc
build: build-arch
stamps/stamp-build: stamps/stamp-build-static stamps/stamp-mincheck \
    stamps/stamp-build-shared stamps/stamp-build-debug \
    stamps/stamp-build-shared-debug \
    stamps/stamp-check stamps/stamp-pystone stamps/stamp-pybench
	touch $@

PROFILE_EXCLUDES = test_compiler test_distutils test_subprocess \
	test_multiprocessing test_socketserver \
	test_thread test_threaded_import test_threadedtempfile \

=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr
Depends: @, @builddeps@, fakeroot, wget, stunnel4, lsof, db-util, gnupg, gnupg2,
         libfile-fcntllock-perl

=== tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap
Depends: systemd, libpam-systemd, acl, locales
Restrictions: needs-root, isolation-container

Tests: logind
Depends: systemd, libpam-systemd, acl, locales, evemu-tools
Restrictions: needs-root, isolation-machine

Tests: bootchart
Depends: systemd, libpam-systemd, acl, locales
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: unit-config
Depends: systemd, python3
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd, python3, cryptsetup-bin
Restrictions: needs-root, isolation-machine

Tests: networkd
Depends: systemd-sysv, python3, dnsmasq-base
Restrictions: needs-root, isolation-container

Tests: build-login
Depends: libsystemd-dev, build-essential, pkg-config
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv, systemd-container, systemd-coredump, xserver-xorg-video-dummy, lightdm, cron, network-manager, busybox-static, apparmor, python3
Restrictions: needs-root, isolation-machine, needs-recommends, breaks-testbed

Tests: ifupdown-hotplug
Depends: systemd-sysv, ifupdown
Restrictions: needs-root, isolation-machine

Tests: cmdline-upstart-boot
Depends: systemd-sysv, cron, network-manager, python3
Restrictions: needs-root, isolation-machine, breaks-testbed

Tests: boot-smoke
Depends: systemd-sysv, network-manager, policykit-1, lightdm
Restrictions: needs-recommends, needs-root, isolation-machine, allow-stderr

Tests: systemd-fsckd
Depends: systemd-sysv, python3, plymouth
Restrictions: needs-root, isolation-machine, needs-recommends, breaks-testbed

Tests: user-session-cgroups
Depends: systemd-sysv
Restrictions: isolation-machine

=== watch ===
version=3
opts=uversionmangle=s/(.*\d)(pre\d*)$/$1~$2/,pgpsigurlmangle=s/$/.sig/ \
ftp://ftp.gnutls.org/gcrypt/gnutls/v3.3/gnutls-(3\.\d.*)\.(?:tgz|zip|tar\.(?:gz|bz2|xz))
